curl -X GET https://api.thalbank.com/withdrawals/c3d4e5f6-a7b8-9012-cdef-123456789012 \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"feeAmount": 100,
"netAmount": 49900,
"method": "PIX",
"status": "PAID",
"pixKey": "123***78901",
"pixKeyType": "CPF",
"description": "Saque semanal",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z",
"updatedAt": "2026-03-10T12:01:00.000Z"
}
}
Retorna os detalhes de um saque pelo ID
curl -X GET https://api.thalbank.com/withdrawals/c3d4e5f6-a7b8-9012-cdef-123456789012 \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"feeAmount": 100,
"netAmount": 49900,
"method": "PIX",
"status": "PAID",
"pixKey": "123***78901",
"pixKeyType": "CPF",
"description": "Saque semanal",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z",
"updatedAt": "2026-03-10T12:01:00.000Z"
}
}
curl -X GET https://api.thalbank.com/withdrawals/c3d4e5f6-a7b8-9012-cdef-123456789012 \
-H "x-api-key: sua_api_key"
{
"status": true,
"data": {
"id": "c3d4e5f6-a7b8-9012-cdef-123456789012",
"amount": 50000,
"feeAmount": 100,
"netAmount": 49900,
"method": "PIX",
"status": "PAID",
"pixKey": "123***78901",
"pixKeyType": "CPF",
"description": "Saque semanal",
"paidAt": "2026-03-10T12:01:00.000Z",
"createdAt": "2026-03-10T12:00:00.000Z",
"updatedAt": "2026-03-10T12:01:00.000Z"
}
}
Was this page helpful?